Bug 982172 - App info is added to mongoDB even if no node supports the specific gear size
App info is added to mongoDB even if no node supports the specific gear size
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Ravi Sankar
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-08 06:20 EDT by Qiushui Zhang
Modified: 2015-05-14 20:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 11:22:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Qiushui Zhang 2013-07-08 06:20:02 EDT
Description of problem:
App name is added to mongoDB even if the required node isn't availabe

Version-Release number of selected component (if applicable):
devenv_3456

How reproducible:
Always

Steps to Reproduce:
1. On the instance, modify /etc/openshift/plugins.d/openshift-origin-msg-broker-mcollective-dev.conf and change "NODE_PROFILE_ENABLED" to "true"
Restart rhc-broker service to apply the change. By default, only small gear is acceptable. oo-admin-ctl-user -l AccountName --addgearsize medium/c9
2. Try to create an app with gear size not allow, for example medium or c9.
3. Try to create an app with the same name as the one using in step 2, using a supported gear size(small) this time.

Actual results:
The app in step 3 could not be created. 
If checking the page https://instance_address/datastore/index.php?action=admin.index, the app name is already added there after step 2.

Expected results:
The app name should not be added if no node supports the gear size required. Or a rollback is expected.

Additional info
Comment 1 Ravi Sankar 2013-07-08 18:01:58 EDT
Fixed in https://github.com/openshift/origin-server/pull/3010
Comment 2 openshift-github-bot 2013-07-09 02:04:49 EDT
Commits pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/043976f12872af1d8d20c925a5f0b97bd801660f
Bug 982172 - Do not try to unreserve_uid if we don't get valid container for the gear.

https://github.com/openshift/origin-server/commit/8c6ad2087b7875fb236a4b4e635a93ef91c2432a
Merge pull request #3010 from pravisankar/dev/ravi/bug982172

Merged by openshift-bot
Comment 3 Qiushui Zhang 2013-07-09 07:13:35 EDT
Verified on devenv_3465.
Following the steps similar to the bug, the app info is not added as expected.
Mark it as verified.

Note You need to log in before you can comment on or make changes to this bug.